Bug 200319 - MacProvider broken on Lion
MacProvider broken on Lion
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
7.0
Macintosh (x86) Mac OS X
: P2 (vote)
: 7.0.1
Assigned To: Jesse Glick
issues@platform
701patch1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-22 14:56 UTC by eaili
Modified: 2011-09-26 13:35 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eaili 2011-07-22 14:56:43 UTC
When checking "Save Username and Password" all svn operations repeatedly show the provide authentication window. (With that checkbox unchecked they work as normal.)

This started happing after update to osx lion.

Each attempt gets log with
WARNING [org.netbeans.modules.keyring.mac.MacProvider]: find: -67701 , but no stacktrace.

Please let me know if I can be of more assistance.
Comment 1 Ondrej Vrabec 2011-07-22 16:53:27 UTC
CCing Jesse, he's the author of the keyring API and probably knows more about keyring implementation on Mac
Comment 3 Jesse Glick 2011-07-22 20:22:25 UTC
core-main #4bd7e6811fea prints the message (reproducible in the unit test on Lion): "An invalid record was encountered."
Comment 4 Jesse Glick 2011-07-22 20:24:47 UTC
If this can be fixed, may merit a patch update. I am able to test (today only) on Lion but nothing earlier.
Comment 5 Jesse Glick 2011-07-22 21:12:47 UTC
core-main #4b6e898afe30 seems to work on Lion; again, I would appreciate it if QE could check that nothing is regressed on earlier releases. (At a minimum, run 'ant -f keyring.impl/build.xml test' on the target OS.)
Comment 6 Marian Mirilovic 2011-07-23 09:23:38 UTC
I am worried it's too late for 7.0.1 - we already have a final build ;(
Comment 7 Quality Engineering 2011-07-25 14:09:19 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/4b6e898afe30
User: Jesse Glick <jglick@netbeans.org>
Log: #200319: MacProvider broken on Lion.
Comment 8 Tomas Danek 2011-08-25 15:51:16 UTC
eaili, could you please try to download latest build and check if there's this bug fixed? http://bits.netbeans.org/trunk/nightly/2011-08-22_06-01-44/

As soon as you verify fix is ok, fix can be backported to 7.0.1 patch. There's deadline FRI 8/26. Thanks in advance.
Comment 9 eaili 2011-08-26 06:24:44 UTC
Sorry for the delay.
Yes it works as expected with the dev build.
Comment 10 Jesse Glick 2011-08-26 14:43:38 UTC
releases #31526aedf001, releases #d0b6e12e0a1b
Comment 11 Quality Engineering 2011-08-27 04:18:26 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d0b6e12e0a1b
User: Jesse Glick <jglick@netbeans.org>
Log: #200319: MacProvider broken on Lion.
(transplanted from 4b6e898afe30694813da543d8781c0f59448f0ef)
Comment 12 Quality Engineering 2011-09-26 13:35:27 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/673370ace25e
User: Jesse Glick <jglick@netbeans.org>
Log: #200319: MacProvider broken on Lion.
(transplanted from 4b6e898afe30694813da543d8781c0f59448f0ef)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo